All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Class ResultDetails

    com.sas.services.information.search.ResultDetails

    public class ResultDetails

Used for controlling the amount of information to include on each resulting object when performing a search.

Typical usage is to use one of the pre-defined styles. However, applications can construct a new instance if it's necessary to configure additional information to be returned.

Nested Class Summary
`static class` | `ResultDetails.ResultLimit`

Field Summary
`protected SortOrder[]` | `_sortOrder`

Constructor Summary
`ResultDetails()` Creates a new ResultDetails instance.

Method Summary
`java.lang.String` | `getFolderAttributesForTemplate()`
`static ResultDetails` | `getInstance()` Returns the default value for the specific set of details to include for each object retrieved from the server.
`ResultDetails.ResultLimit` | `getResultLimit()` Returns the maximum number of objects to include in the results.
`SortOrder[]` | `getSortOrder()` Returns the specified SortOrder, or the default order if one has not been set.
`java.lang.String` | `getTemplate()` Returns the template to apply when retrieving the objects from the server.
`boolean` | `isDatesIncluded()`
`boolean` | `isDescriptionIncluded()`
`boolean` | `isKeywordsIncluded()`
`boolean` | `isResponsiblePartiesIncluded()`
`protected void` | `setContentsModified(boolean modified)`
`void` | `setDatesIncluded(boolean include)`
`void` | `setDescriptionIncluded(boolean include)`
`void` | `setKeywordsIncluded(boolean include)`
`void` | `setResponsiblePartiesIncluded(boolean include)`
`void` | `setResultLimit(ResultDetails.ResultLimit limit)` Sets the maximum number of objects to include in the results.
`void` | `setSortOrder(SortOrder[] order)` Sets the SortOrder to apply to the search results.

Field Detail

### _sortOrder

    protected SortOrder[] _sortOrder

Constructor Detail

### ResultDetails

    public ResultDetails()

  Creates a new ResultDetails instance. Users can create their own ResultDetails instance.

Method Detail

### getInstance

    public static ResultDetails getInstance()

  Returns the default value for the specific set of details to include for each object retrieved from the server. Default in Name and Type.

  Returns:
    object details

### setDescriptionIncluded

    public void setDescriptionIncluded(boolean include)

### setDatesIncluded

    public void setDatesIncluded(boolean include)

### setKeywordsIncluded

    public void setKeywordsIncluded(boolean include)

### setResponsiblePartiesIncluded

    public void setResponsiblePartiesIncluded(boolean include)

### isDescriptionIncluded

    public boolean isDescriptionIncluded()

### isDatesIncluded

    public boolean isDatesIncluded()

### isKeywordsIncluded

    public boolean isKeywordsIncluded()

### isResponsiblePartiesIncluded

    public boolean isResponsiblePartiesIncluded()

### getTemplate

    public java.lang.String getTemplate()

  Returns the template to apply when retrieving the objects from the server. Note, callers of this method will have to wrap the returned string within a beginning and end "" tag.

  Returns:
    omr template

### setContentsModified

    protected void setContentsModified(boolean modified)

### getFolderAttributesForTemplate

    public java.lang.String getFolderAttributesForTemplate()

### setResultLimit

    public void setResultLimit(ResultDetails.ResultLimit limit)

  Sets the maximum number of objects to include in the results. Limits the search results returned which is not the actual number of results returned from the server. This is a client side limit.

  Parameters:
    `limit` - maximum limit

### getResultLimit

    public ResultDetails.ResultLimit getResultLimit()

  Returns the maximum number of objects to include in the results.

  Returns:
    ResultLimit

### setSortOrder

    public void setSortOrder(SortOrder[] order)

  Sets the SortOrder to apply to the search results. The specified sorting algorithm will apply to all items in the result set.

  Parameters:
    `order` -

### getSortOrder

    public SortOrder[] getSortOrder()

  Returns the specified SortOrder, or the default order if one has not been set.

  Returns:
    SortOrder

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.